<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EditaDocumentoInternoId StructType
 * @subpackage Structs
 */
class EditaDocumentoInternoId extends AbstractStructBase
{
    /**
     * The idInterno
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $idInterno;
    /**
     * The forceRefresh
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $forceRefresh;
    /**
     * Constructor method for EditaDocumentoInternoId
     * @uses EditaDocumentoInternoId::setIdInterno()
     * @uses EditaDocumentoInternoId::setForceRefresh()
     * @param string $idInterno
     * @param bool $forceRefresh
     */
    public function __construct($idInterno = null, $forceRefresh = null)
    {
        $this
            ->setIdInterno($idInterno)
            ->setForceRefresh($forceRefresh);
    }
    /**
     * Get idInterno value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdInterno()
    {
        return isset($this->idInterno) ? $this->idInterno : null;
    }
    /**
     * Set idInterno value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $idInterno
     * @return \StructType\EditaDocumentoInternoId
     */
    public function setIdInterno($idInterno = null)
    {
        // validation for constraint: string
        if (!is_null($idInterno) && !is_string($idInterno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($idInterno)), __LINE__);
        }
        if (is_null($idInterno) || (is_array($idInterno) && empty($idInterno))) {
            unset($this->idInterno);
        } else {
            $this->idInterno = $idInterno;
        }
        return $this;
    }
    /**
     * Get forceRefresh value
     * @return bool|null
     */
    public function getForceRefresh()
    {
        return $this->forceRefresh;
    }
    /**
     * Set forceRefresh value
     * @param bool $forceRefresh
     * @return \StructType\EditaDocumentoInternoId
     */
    public function setForceRefresh($forceRefresh = null)
    {
        // validation for constraint: boolean
        if (!is_null($forceRefresh) && !is_bool($forceRefresh)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($forceRefresh)), __LINE__);
        }
        $this->forceRefresh = $forceRefresh;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\EditaDocumentoInternoId
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
